> ## Documentation Index
> Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar regras

> Lista as regras de transferência



## OpenAPI

````yaml GET /v2/agent/{id}/transfer-rules
openapi: 3.0.1
info:
  title: OpenAPI GPT Maker
  description: Documentação completa da API do GPT Maker
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.gptmaker.ai
security:
  - bearerAuth: []
paths:
  /v2/agent/{id}/transfer-rules:
    get:
      description: Lista as regras de transferência
      parameters:
        - name: agentId
          in: path
          description: Id do agente
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Lista as regras de transferência
          content:
            application/json:
              schema:
                properties:
                  id:
                    type: string
                    description: Id da regra
                  createdAt:
                    type: string
                    description: data de atualização do campo
                  instructions:
                    type: string
                    description: Instruções visíveis na transferência
                  returnOnFinish:
                    type: boolean
                    description: Define se deve retornar ao assistente após o atendimento
                  type:
                    enum:
                      - HUMAN
                      - AGENT
                  agentId:
                    type: string
                    nullable: true
                    description: Id do agente de destino (se aplicável)
                  userId:
                    type: string
                    nullable: true
                    description: Id do usuário de destino (se aplicável)
        '400':
          description: Erro inesperado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Erro de token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Error403:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````